use_inline_resources

action :add do
  sysctl_param "net.ipv4.ip_forward" do
    value 1
  end

  mdoules "iptable_nat"

  iptables_ng_rule "set nat for #{new_resource.wan}" do
    table "nat"
    chain "POSTROUTING"
    rule "-o #{new_resource.wan} -j MASQUERADE"
  end

  iptables_ng_rule "set forward for #{new_resource.lan}" do
    chain "FORWARD" 
    rule "-i eth1 -j ACCEPT"
  end
end
